PostgreSQL 7.4.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_lo_write

## Name

pg_lo_write -- write to a large object

## Synopsis

    pg_lo_write conn descriptor buf len

## Description

`pg_lo_write` writes at most len bytes from a variable buf to a large object.

## Arguments

conn

  The handle of a connection to the database in which the large object exists.

descriptor

  A descriptor for the large object from `pg_lo_open`.

buf

  The string to write to the large object (not a variable name, but the value itself).

len

  The maximum number of bytes to write. The number written will be the smaller of this value and the length of the string.

## Return Value

The number of bytes actually written is returned; this will ordinarily be the same as the number requested. In event of an error, the return value is negative.

Prev | Home | Next
pg_lo_read | Up | pg_lo_lseek